
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

 struct node {                           
   int number; 
   struct node *next; 
};    
    

int main()
{ 
   
   int i;
   
   struct node node1, node2, node3, node4;
   
   node1.number = 1;
   node2.number = 2;
   node3.number = 3;
   node4.number = 4;
   
   node1.next = &node2;
   node2.next = &node3;
   node3.next = &node4;
   node4.next = NULL;
   
   printf("node1: the adress = %x\t number = %d\t next = %x\n", &node1, node1.number, node1.next);     
   printf("node2: the adress = %x\t number = %d\t next = %x\n", &node2, node2.number, node2.next);     
   printf("node3: the adress = %x\t number = %d\t next = %x\n", &node3, node3.number, node3.next);     
   printf("node4: the adress = %x\t number = %d\t next = %x\n", &node4, node4.number, node4.next);     
   
 
system("pause");

return 0; 

}


